AJS.toInit(function($){

    // 親にクラスを転記
    ['qcm-halign-right', 'qcm-halign-center', 'qcm-halign-left'].forEach(function(cls){
        $('.' + cls).each(function(){
            $(this).parent().addClass(cls);
        })
    });

    var pageEditFlag;

    window.XQreload = function() {

        var flagDefaults = {
            close: 'manual',
            type: 'info',
            extraClasses: 'qr-flag',
            fifo: true,
            stack: 'quickreload'
        };
        var title = AJS.I18n.getText('quick-reload-edit');

        var flagBody = XQuickReload.Templates.pageEdit();

        if (pageEditFlag === undefined || pageEditFlag.getAttribute('aria-hidden') === 'true') {
            pageEditFlag = AJS.flag($.extend({}, {
                body: flagBody,
                title: title
            }, flagDefaults));

            $(pageEditFlag).on('click', '.qr-notice-show', function () {
                $(this).prop("disabled", true).prepend('<span class="aui-icon aui-icon-wait"></span> ');
                window.location.reload();
            });

        } else {
            $(pageEditFlag).find('.qr-container').replaceWith(flagBody);
            $(pageEditFlag).find('.title').text(title);
        }
    };
});
